Skip to main content
GET
/
api
/
v1
/
payment-method
/
institution
Get list of payment method institutions by country
curl --request GET \
  --url https://staging.afx-server.com/api/v1/payment-method/institution \
  --header 'x-api-key: <api-key>'
[
  {
    "institutionId": "<string>",
    "institutionName": "<string>",
    "institutionCode": "<string>",
    "institutionAddress": "<string>"
  }
]
Retrieve a list of banks or mobile money providers available for a specific country and payment channel.

Authorizations

x-api-key
string
header
required

Static business API key from the dashboard

Query Parameters

channel
enum<string>
required

The payment method channel

Available options:
BANK_ACCOUNT,
SWIFT,
MOBILE_MONEY,
UPI,
INTERAC,
WE_CHAT
countryCode
enum<string>
required

The ISO 3166-1 alpha-2 country code

Available options:
US,
NG,
GB,
DE,
FR,
CA,
ZA,
GH,
KE,
UG,
TZ,
RW,
CM,
CG,
GA,
CF,
CI,
BF,
ML,
SN,
TG,
BJ,
NE,
GN,
ZM,
ET,
MW,
MZ,
BW,
SL,
LR,
GM,
GW,
CV,
ST,
AO,
KM,
DJ,
SO,
SC,
MU,
SZ,
LS

Response

List of banks or mobile money providers retrieved successfully.

institutionId
string

The unique identifier of the bank or mobile money provider if required.

institutionName
string

The name of the bank or mobile money provider if required.

institutionCode
string

The code of the bank or mobile money provider.

institutionAddress
string

The address of the bank or mobile money provider if required.